# Access Control

| **Access** | **Role**       | **Function Name**        | **Description**                                              |
| ---------- | -------------- | ------------------------ | ------------------------------------------------------------ |
| Keeper     | Default\_Owner | pause                    | Pause mint/swap/redeem actions                               |
| Keeper     | Default\_Owner | unpause                  | Unpause mint/swap/redeem actions                             |
| Keeper     | Default\_Owner | setMintFee               | Updates the mint fee on pool.                                |
| Keeper     | Default\_Owner | setSwapFee               | Initial swap fee of the pools that are going to be deployed. |
| Keeper     | Default\_Owner | setRedeemFee             | Updates the redeem fee on pool.                              |
| Keeper     | Default\_Owner | setOffPegFeeMultiplier   | Updates the off peg fee multiplier of pool.                  |
| Keeper     | Default\_Owner | setExchangeRateFeeFactor | Updates the exchange rate fee factor of pool.                |
| Keeper     | Default\_Owner | setDecayPeriod           | Updates the decay period                                     |
| Keeper     | Default\_Owner | setRateChangeSkipPeriod  | Updates the rate change skip period of pool.                 |
| Keeper     | Default\_Owner | updateFeeErrorMargin     | Updates the fee error margin of pool.                        |
| Keeper     | Default\_Owner | updateYieldErrorMargin   | Updates yield error margin of pool.                          |
| Keeper     | Default\_Owner | distributeLoss           | Distribute losses by rebasing negatively                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tapio.finance/smart-contracts/selfpeggingasset/access-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
